Defold 1.2.185 has been released

Also, Defold 1.2.185 includes the fix for this issue about scaling/flipping 2d physics objects. :star_struck:

8 Likes

Please make sure you use the latest version of DefVideoADS and Admob with Defold 1.2.185

5 Likes

Wow, previous version was so old:)
What is changed?)) bug fixes, performance?)

3 Likes

@britzl @Mathias_Westerdahl . No bob in release page. Release v1.2.185 - stable · defold/defold · GitHub

1 Like

Yes, I know. The files will be uploaded on Monday when I have faster internetz again. @Mathias_Westerdahl is on vacation and I’m at the summer house with a fairly slow internet connection. In the meantime you can download bob from d.defold.com!

More info: Our release script is a bit stupid and downloads the released files from d.defold.com to a local dev machine and uploads them to GitHub.

4 Likes

Hi. I’m not getting gui spine event messages. Is this yet to be implemented or a bug? Thanks.

Hi guys, back from holiday! :partying_face: Updating to 1.2.185 causes a number of errors and warnings when building:

/gamekit/src/GameCenterDelegate.mm
	Line 9: In file included from upload/gamekit/src/GameCenterDelegate.mm:9:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameKit.framework/Headers/GameKit.h:19:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameController.framework/Headers/GameController.h:48:
property with 'retain (or strong)' attribute must be of object type
@property (nonatomic, strong) dispatch_queue_t handlerQueue API_AVAILABLE(macos(10.9), ios(7.0), tvos(7.0));
^

/gamekit/src/GameKit.mm
	Line 9: In file included from upload/gamekit/src/GameKit.mm:9:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameKit.framework/Headers/GameKit.h:19:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameController.framework/Headers/GameController.h:48:
property with 'retain (or strong)' attribute must be of object type
@property (nonatomic, strong) dispatch_queue_t handlerQueue API_AVAILABLE(macos(10.9), ios(7.0), tvos(7.0));
^

/gamekit/src/GetCommands.mm
	Line 9: In file included from upload/gamekit/src/GetCommands.mm:9:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameKit.framework/Headers/GameKit.h:19:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameController.framework/Headers/GameController.h:48:
property with 'retain (or strong)' attribute must be of object type
@property (nonatomic, strong) dispatch_queue_t handlerQueue API_AVAILABLE(macos(10.9), ios(7.0), tvos(7.0));
^

/gamekit/src/ImageBitmap.h
	Line 4: In file included from upload/gamekit/src/ImageBitmap.mm:4:
In file included from upload/gamekit/src/ImageBitmap.h:4:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameKit.framework/Headers/GameKit.h:19:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameController.framework/Headers/GameController.h:48:
property with 'retain (or strong)' attribute must be of object type
@property (nonatomic, strong) dispatch_queue_t handlerQueue API_AVAILABLE(macos(10.9), ios(7.0), tvos(7.0));
^

/gamekit/src/RealTimeCommands.mm
	Line 9: In file included from upload/gamekit/src/RealTimeCommands.mm:9:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameKit.framework/Headers/GameKit.h:19:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameController.framework/Headers/GameController.h:48:
property with 'retain (or strong)' attribute must be of object type
@property (nonatomic, strong) dispatch_queue_t handlerQueue API_AVAILABLE(macos(10.9), ios(7.0), tvos(7.0));
^

/gamekit/src/SendCommands.mm
	Line 9: In file included from upload/gamekit/src/SendCommands.mm:9:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameKit.framework/Headers/GameKit.h:19:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameController.framework/Headers/GameController.h:48:
property with 'retain (or strong)' attribute must be of object type
@property (nonatomic, strong) dispatch_queue_t handlerQueue API_AVAILABLE(macos(10.9), ios(7.0), tvos(7.0));
^

/gamekit/src/ShowCommands.mm
	Line 9: In file included from upload/gamekit/src/ShowCommands.mm:9:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameKit.framework/Headers/GameKit.h:19:
In file included from /opt/platformsdk/MacOSX11.3.sdk/System/Library/Frameworks/GameController.framework/Headers/GameController.h:48:
property with 'retain (or strong)' attribute must be of object type
@property (nonatomic, strong) dispatch_queue_t handlerQueue API_AVAILABLE(macos(10.9), ios(7.0), tvos(7.0));
^

/defunityads/src/DefUnityAds.cpp
	Line 5: 'DLIB_LOG_DOMAIN' macro redefined [-Wmacro-redefined]
#define DLIB_LOG_DOMAIN LIB_NAME
        ^
	Line 5: previous definition is here
#define DLIB_LOG_DOMAIN "DEFUNITYADS"
        ^

/firebase/src/firebase.cpp
	Line 3: 'DLIB_LOG_DOMAIN' macro redefined [-Wmacro-redefined]
#define DLIB_LOG_DOMAIN LIB_NAME
        ^
	Line 3: previous definition is here
#define DLIB_LOG_DOMAIN "FIREBASE"
        ^

/gameanalytics/src/gameanalytics.cpp
	Line 6: 'DLIB_LOG_DOMAIN' macro redefined [-Wmacro-redefined]
#define DLIB_LOG_DOMAIN LIB_NAME
        ^
	Line 6: previous definition is here
#define DLIB_LOG_DOMAIN "GAMEANALYTICS"
        ^

/gameanalytics/src/ios/GameAnalyticsCpp.mm
	Line 6: 'DLIB_LOG_DOMAIN' macro redefined [-Wmacro-redefined]
#define DLIB_LOG_DOMAIN "GameAnalytics"
        ^
	Line 6: previous definition is here
#define DLIB_LOG_DOMAIN "GAMEANALYTICS"
        ^

    /gamekit/src/GameKit.cpp
	Line 9: 'DLIB_LOG_DOMAIN' macro redefined [-Wmacro-redefined]
#define DLIB_LOG_DOMAIN "GameKit"
        ^
	Line 9: previous definition is here
#define DLIB_LOG_DOMAIN "GAMEKIT"
        ^

Dependencies:

dependencies#0 = https://github.com/rgrams/rendercam/archive/1.0.3.zip
dependencies#1 = https://github.com/britzl/monarch/archive/refs/tags/3.4.1.zip
dependencies#2 = https://github.com/britzl/gooey/archive/9.1.0.zip
dependencies#3 = https://github.com/AGulev/set_screen_position/archive/refs/tags/1.1.1.zip
dependencies#4 = https://github.com/indiesoftby/defold-hyper-trails/archive/1.0.0.zip
dependencies#5 = https://github.com/defold/extension-gpgs/archive/2.2.0.zip
dependencies#6 = https://github.com/animonger/extension-gamekit/archive/master.zip
dependencies#7 = https://github.com/defold/extension-firebase-analytics/archive/1.4.2.zip
dependencies#8 = https://github.com/defold/extension-iap/archive/3.0.1.zip
dependencies#9 = https://github.com/GameAnalytics/defold-openssl/archive/1.0.0.zip
dependencies#10 = https://github.com/GameAnalytics/GA-SDK-DEFOLD/archive/3.3.10.zip
dependencies#11 = https://github.com/defold/extension-facebook/archive/refs/tags/6.2.1.zip
dependencies#12 = https://github.com/defold/extension-adinfo/archive/refs/tags/3.0.0.zip
dependencies#13 = https://github.com/subsoap/chrono/archive/master.zip
dependencies#14 = https://github.com/AGulev/DefVideoAds/archive/refs/tags/3.7.1.zip

It builds fine in 1.2.184. I assume the errors have something to do with this:

The errors seem to relate to the Gamekit, UnityAds, Firebase and GameAnalytics extensions. All extensions apart from Gamekit seem to have a later version which might fix the above issues. Is there something I can do to fix the Gamekit extension specifically?

I forked the GameKit repo and opened it in Defold 1.2.185 and built for iOS using build.defold.com as build server and had no problem bundling for iOS.

2 Likes

We build a large list of extensions on a regular basis in order to catch errors such as this:

Currently stable, beta and alpha are all green:

1 Like

I tried Firebase Analytics as well and it works.

1 Like

The errors actually happen when building. I haven’t tried bundling. I wonder what could be the issue then, will have to create a blank project and start troubleshooting.

Oh, ok. So when you build for macOS?

I can repro this. But so far only for the Gamecenter extension.

1 Like

Oh, great! Any idea what might cause it?

No clue I’m afraid.

Is it possible that the problem is related to [this]?(objective c - Why am I getting Property with 'retain (or strong)' attribute must be of object type in GCDevice.h? - Stack Overflow)

1 Like

We’re still stuck using Defold 1.2.184 in our two live projects, and I keep seeing exciting new updates!

It’s not urgent now, but at some point it would be good to be able to upgrade to the latest Defold, especially when the new and very cool Rive implementation is finished.

It’s likely that we are going to need leaderboards on iOS for all games going forward. Would be good to have a game plan for when we upgrade.

Editing extensions is beyond my skillset, so I’m wondering if someone else has any other suggestions?

Our plan is still to bite the bullet and pay for a macOS build server for iOS and macOS builds. We’ll do this next week I think.

I don’t pretend to understand what goes on under the hood of Defold, but if buying build servers solves the Gamecenter issue that’s amazing!

We should organize a bundle for games made with Defold to benefit the Defold Foundation.

5 Likes